@import url('https://fonts.googleapis.com/css2?family=Anton&family=Bangers&family=Fugaz+One&family=Luckiest+Guy&family=Pacifico&family=Racing+Sans+One&family=Story+Script&display=swap');


head {
  background-color: #3a3a3a;
  margin: 0;} 
    body{
    border: 10px solid #3a3a3a;
    font-weight: 400;
    font-style: normal;
    color: rgb(255, 255, 255);
    background: #3a3a3a;
    font-family: "Fugaz One", sans-serif;
  


}

.container {
    display: flex;
}

.item {
    flex-grow: 1;

}

@media (min-width: 768px) {
    .container-ficha {
        width: 100%; /* Ocupa toda a largura da tela */
        flex-direction: row; /* Itens em linha */
        justify-content: space-between; /* Espaçamento entre os itens */
    }
}


.opcoes {
    position: fixed;
    top: 20px;
    right: 20px;
    gap: 20px;
    display: flex;

}

#salvar, #carregar, #livro {
    background-color: #2d2d2d;
    border: none;
    padding: 10px;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.input-ficha {
    font-family: "Fugaz One", sans-serif;
    color: white;
    background-color: #2d2d2d;
    border: none;
    outline: none;
    font-size: large;
}

/* Estilo específico para os inputs maiores no cabeçalho */
.cabecalho .input-ficha {
    font-size: 28px;
    border-bottom: 2px solid white;
}


#notificacao { 

    position: fixed;
    top: 20px;
    right: 20px;
    background-color: #2c2c2c;
    color: white;
    padding: 16px 24px;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
    z-index: 9999;
    transform: translateX(120%);
    opacity: 0;
    transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
    pointer-events: none;
    max-width: 350px;
}

#notificacao.show {
    transform: translateX(0);
    opacity: 1;
    pointer-events: auto;
    transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
}


/* Estilo específico para os inputs menores nos atributos */
.card-atributos .input-ficha {
    font-size: 20px;
}


/* Estilo para a logo do RPG */
.logo img {
    width: 400px;
    height: auto;
    border-radius: 10px;
    object-fit: cover;
    margin-top: -35px;
    margin-left: -20px;
    border-color: #3a3a3a;
}


/* Estilo para a imagem do personagem */
.imagem-personagem img {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    object-fit: cover;
    margin-top: 150px;
    border: 4px solid #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}


/* Estilo para o container da ficha */
.container-ficha {
    flex: box-sizing;
    position: absolute;
    margin-top: -180px;
}


/* Logo do RPG */
.logo {

	position: absolute;
	top: 170px;
	left: 210px;
	padding: 20px;
	border-radius: 10px;
	}


/* Estilo para o cabeçalho */
.cabecalho {
     position: relative; /* Necessário para o posicionamento absoluto funcionar */
    background: #3a3a3a;
    padding: 10px;
	border-radius: 10px;
	margin-bottom: 20px;
    margin-top: 20px;
    width: 1450px;
	padding-right: 40px; /* Aumenta o espaço à direita para os quadrados */
}

.nivel-heroi {
    margin-top: -70px;
    margin-left: 600px;
    position: absolute;
}


/* Estilo para o input do nivel */
.nivel {
    
    width: 50px;
}

.habilidade {
    align-items: center;
    flex-direction: column;
}

/* Estilo para o input dos atributos */
.atributos {
    size: 1PX;
    width: 44px;
    font-family: 'Racing Sans One', sans-serif; 
    font-size: 20px; 
    color: white; 
    background-color: #2d2d2d; 
    border: none; 
    font-size: 20px; 
    

}


/* Estilo para a seção de características */
.card-quadrado {
    position: absolute; /* Posicionamento absoluto */
    right: 15px;        /* Distância da borda direita do card */
    background-color: #000;
    color: #fff;
    border-radius: 5px;
    padding: 6px 12px;
    text-align: center;
    font-size: 16px;
    width: 120px;
    margin: 0; /* Remove margens para não interferir */
}


/* Estilo para os atributos */
.card-atributos {
    position: relative; /* Necessário para o posicionamento absoluto funcionar */
    background: #3d3d3d;
    padding: 10px;
	border-radius: 10px;
	margin-bottom: 20px;
    margin-top: 20px;
    width: 290px;
	padding-right: 40px; /* Aumenta o espaço à direita para os quadrados */
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    height: 360px;


}

.card-poderes {
   position: absolute;/* Necessário para o posicionamento absoluto funcionar */
    background: #3d3d3d;
    padding: 10px;
	border-radius: 10px;
	margin-bottom: 20px;
    margin-top: -398px;
    margin-left: 350px;
    width: 300px; /* Aumenta o espaço à direita para os quadrados */
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    height: 360px;



}


.card-especializacoes {
   position: absolute;/* Necessário para o posicionamento absoluto funcionar */
    background: #3d3d3d;
    padding: 10px;
	border-radius: 10px;
	margin-bottom: 20px;
    margin-top: -398px;
    margin-left: 680px;
    width: 300px; /* Aumenta o espaço à direita para os quadrados */
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    height: 360px;


}

#anotacoestext {
    height: 270px;
    width: 100%;
    resize: none; /* Impede o redimensionamento do textarea */
}


.card-anotacoes {
   position: absolute;/* Necessário para o posicionamento absoluto funcionar */
    background: #3d3d3d;
    padding: 10px;
	border-radius: 10px;
	margin-bottom: 20px;
    margin-top: -398px;
    margin-left: 1010px;
    width: 300px; /* Aumenta o espaço à direita para os quadrados */
	box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    height: 360px;

}

.coluna-direita {
	margin-top: 30px;
}


/* Estilo para a linha de ficha */
.linha-ficha {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 10px;
}


.linha-poder {
    margin-top: 21px;
}

.linha-especializacao {
    margin-top: 21px;
}


.poderes-input-ficha {

}


/* Estilo para as informações adicionais */
.informacoes2 {
    font-size: 20px;
    margin: 0 10px 0 0;
    display: inline-block;
    width: auto;
    margin-top: -10px;
    margin-left: 1px;
}


/* Estilo para os inputs das informações adicionais */


.energia {
    position: absolute;
    background-color: #2d2d2d;
    top: -70px; 
    left: 900px; 
    background-color: #2d2d2d; 
    width: 150px;
    height: 150px;
    border-radius: 20px; 
    padding: 20px; 
    box-sizing: border-box; 
    display: flex;                 
    flex-direction: column;        
    justify-content: flex-start;   
    align-items: center;  
}

.determinacao {
    position: absolute;
    background-color: #2d2d2d;
    top: -70px; 
    left: 1070px; 
    background-color: #2d2d2d; 
    width: 190px;
    height: 150px;
    border-radius: 20px; 
    padding: 20px; 
    box-sizing: border-box; 
    display: flex;                 
    flex-direction: column;        
    justify-content: flex-start;   
    align-items: center;  
}

.dado {
    position: absolute;
    background-color: #2d2d2d;
    top: -70px; 
    left: 1280px; 
    background-color: #2d2d2d; 
    width: 150px;
    height: 150px;
    border-radius: 20px; 
    padding: 20px; 
    box-sizing: border-box; 
    display: flex;                 
    flex-direction: column;        
    justify-content: flex-start;   
    align-items: center;  
}

.imagem-dado {
    color: white;
    width: 80px;
    height: 80px;
    margin-top: -4px;
    
}

#botao-dado {
    background-color: transparent;
    border: none;
    cursor: pointer;
}

.bonus {
    position: absolute;
    background-color: #2d2d2d;
    top: -70px; 
    left: 1450px; 
    background-color: #2d2d2d; 
    width: 150px;
    height: 150px;
    border-radius: 20px; 
    padding: 20px; 
    box-sizing: border-box; 
    display: flex;                 
    flex-direction: column;        
    justify-content: flex-start;   
    align-items: center;  
}

.titulo {
  color: white;
  font-size: 30px; 
  font-weight: bold;

}

.titulo-determinacao {
  color: white;
  font-size: 23px; 
  font-weight: bold;
  min-width: 1px;

}

.titulo-dado {
  color: white;
  font-size: 30px; 
  font-weight: bold;
  min-width: 1px;


}

.titulo-bonus {
  color: white;
  font-size: 30px; 
  font-weight: bold;
  min-width: 1px;

}

.input-ficha-determinacao {
    font-family: "Fugaz One", sans-serif;
    color: white;
    background-color: transparent;
    border: none;
    outline: none;
    font-size: 60px; 
    width: 130px; 
    text-align: center; 
    margin-top: 10px;
    font-weight: bold;
    }


    #input-bonus {
    font-family: "Fugaz One", sans-serif;
    color: white;
    background-color: transparent;
    border: none;
    outline: none;
    font-size: 20px; 
    width: 30px; 
    text-align: center; 
    margin-top: -40px;
    margin-left: 104px;
    font-weight: bold;
    }

.container-bonus {
    /* Ativa a caixa flexível */
    display: flex; 
    flex-direction: column;
    
    /* Centraliza os itens no eixo horizontal */
    justify-content: center; 
    
    /* Alinha a altura do + e do 0 perfeitamente no meio */
    align-items: center; 
    
    /* Um pequeno espaço entre o sinal e o número */
    gap: 5px; 
}




.valor-energia { 
    color: white;
  font-size: 60px; 
  font-weight: bold;
  margin-top: 0px; 
  }




 
    

 